[mythtv-users] Unable to upgrade DB

Michael T. Dean mtdean at thirdcontact.com
Sat Mar 27 15:51:34 UTC 2010

On 03/27/2010 11:02 AM, Oz Dror wrote:
> > On 3/27/2010 03:13, Oz wrote:
> >> 2010-03-26 23:09:20.551 Protocol version mismatch
> >> (frontend=56,backend=50)
> >
> > That has nothing to do with the database. You have a 0.23rc
> > frontend trying to connect to a 0.22 backend. You cannot do that.
> > All machines connected to that backend must be running the same
> > version of mythtv.
>  It is a new install the frontend and the backend are 0.23rc
>  only the DB is 0.22. Using mythtv-setup does not fix it. It just
>  freezes after backing up the old DB

No, you /are/ running a MythTV 0.23rc1 or 0.23-fixes frontend against a 
MythTV 0.22-fixes backend.

You may have installed MythTV 0.23rc1 or 0.23-fixes mythbackend, but 
it's not what's currently running.

I highly recommend a reboot.  If that doesn't fix it, then you likely 
have 2 versions of MythTV installed (i.e. one in /usr, installed by 
packages, and one in /usr/local, installed from source).


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://mythtv.org/pipermail/mythtv-users/attachments/20100327/6ac99538/attachment.htm>

More information about the mythtv-users mailing list